Get User Detail
curl --request GET \
--url https://api.example.com/cabinet/admin/users/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/cabinet/admin/users/{user_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cabinet/admin/users/{user_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/cabinet/admin/users/{user_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/cabinet/admin/users/{user_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"full_name": "<string>",
"status": "<string>",
"language": "<string>",
"balance_kopeks": 123,
"balance_rubles": 123,
"created_at": "2023-11-07T05:31:56Z",
"referral": {
"referral_code": "<string>",
"referrals_count": 0,
"total_earnings_kopeks": 0,
"commission_percent": 123,
"referred_by_id": 123,
"referred_by_username": "<string>"
},
"telegram_id": 123,
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"email_verified": false,
"updated_at": "2023-11-07T05:31:56Z",
"last_activity": "2023-11-07T05:31:56Z",
"cabinet_last_login": "2023-11-07T05:31:56Z",
"subscription": {
"id": 123,
"status": "<string>",
"is_trial": true,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"traffic_limit_gb": 0,
"traffic_used_gb": 0,
"device_limit": 1,
"tariff_id": 123,
"tariff_name": "<string>",
"autopay_enabled": false,
"is_active": false,
"days_remaining": 0,
"purchased_traffic_gb": 0,
"traffic_purchases": []
},
"promo_group": {
"id": 123,
"name": "<string>",
"is_default": false
},
"total_spent_kopeks": 0,
"purchase_count": 0,
"used_promocodes": 0,
"has_had_paid_subscription": false,
"lifetime_used_traffic_bytes": 0,
"restriction_topup": false,
"restriction_subscription": false,
"restriction_reason": "<string>",
"promo_offer_discount_percent": 0,
"promo_offer_discount_source": "<string>",
"promo_offer_discount_expires_at": "2023-11-07T05:31:56Z",
"campaign_name": "<string>",
"campaign_id": 123,
"recent_transactions": [],
"remnawave_uuid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Users
Get User Detail
Get detailed user information by ID.
GET
/
cabinet
/
admin
/
users
/
{user_id}
Get User Detail
curl --request GET \
--url https://api.example.com/cabinet/admin/users/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/cabinet/admin/users/{user_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cabinet/admin/users/{user_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/cabinet/admin/users/{user_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/cabinet/admin/users/{user_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"full_name": "<string>",
"status": "<string>",
"language": "<string>",
"balance_kopeks": 123,
"balance_rubles": 123,
"created_at": "2023-11-07T05:31:56Z",
"referral": {
"referral_code": "<string>",
"referrals_count": 0,
"total_earnings_kopeks": 0,
"commission_percent": 123,
"referred_by_id": 123,
"referred_by_username": "<string>"
},
"telegram_id": 123,
"username": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"email_verified": false,
"updated_at": "2023-11-07T05:31:56Z",
"last_activity": "2023-11-07T05:31:56Z",
"cabinet_last_login": "2023-11-07T05:31:56Z",
"subscription": {
"id": 123,
"status": "<string>",
"is_trial": true,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"traffic_limit_gb": 0,
"traffic_used_gb": 0,
"device_limit": 1,
"tariff_id": 123,
"tariff_name": "<string>",
"autopay_enabled": false,
"is_active": false,
"days_remaining": 0,
"purchased_traffic_gb": 0,
"traffic_purchases": []
},
"promo_group": {
"id": 123,
"name": "<string>",
"is_default": false
},
"total_spent_kopeks": 0,
"purchase_count": 0,
"used_promocodes": 0,
"has_had_paid_subscription": false,
"lifetime_used_traffic_bytes": 0,
"restriction_topup": false,
"restriction_subscription": false,
"restriction_reason": "<string>",
"promo_offer_discount_percent": 0,
"promo_offer_discount_source": "<string>",
"promo_offer_discount_expires_at": "2023-11-07T05:31:56Z",
"campaign_name": "<string>",
"campaign_id": 123,
"recent_transactions": [],
"remnawave_uuid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Detailed user information.
User referral info.
Show child attributes
Show child attributes
User subscription information.
Show child attributes
Show child attributes
User promo group info.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
